
@font-face { src: url("../fonts/a-monumento-demibold.woff2") format("woff2"); font-family: "monumento-st"; font-weight: 700; font-style: normal; }


.menu-button {
    position: fixed;
    top: 110px;
    left: 50%;
    transform: translateX(-50%);
    background-color: transparent;
    color: #c8cccf;
    padding: 1px 24px;
    border: 1px solid #c8cccf;
    border-radius: 5px;
    cursor: pointer;
    font-size: 20px;
    font-family: monumento-st, normal;
    z-index: 4;
    transition: all 0.3s ease;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

.menu-button:hover {
    background-color: rgba(234,31,35, 0.4);
    transform: translateX(-50%) scale(1.05);
}

.menu-content {
    display: none;
    position: fixed;
    top: 150px;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(9,10,12, 0.6);
    min-width: 500px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    border-radius: 5px;
    z-index: 1000;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.menu-content.show {
    display: block;
    animation: fadeIn 0.3s ease;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(-50%) translateY(-10px);
    }
    to {
        opacity: 1;
        transform: translateX(-50%) translateY(0);
    }
}

.menu-content a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: #c8cccf;
    font-family: monumento-st, normal;
		font-size: 15px;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    transition: background-color 0.3s ease;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-content a:hover {
    background-color: rgba(234,31,35, 0.3);
}

.menu-content a:last-child {
    border-bottom: none;
}

.content {
    padding: 100px 20px;
    text-align: center;
}

.spacer {
    height: 1000px;
}


/* Адаптивность меню для мобильных устройств */
@media (min-width: 350px) and (max-width: 768px) {
    .menu-button {
        padding: 5px 10px;
        font-size: 18px;
        top: 70px;
    }
    
    .menu-content {
        top: 115px;
        width: 90%;
        max-width: 300px;
    }
    .menu-content a {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
    color: #c8cccf;
    font-family: monumento-st, normal;
		font-size: 14px;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    transition: background-color 0.3s ease;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}
}
